Class UmlBaseNcRelation

Declaration :

- C++ : class UmlBaseNcRelation : public UmlItem
- Java : abstract class UmlBaseNcRelation extends UmlItem

Directly inherited by : UmlNcRelation

Manage the relations between non class objects, for instances
dependency between packages and use case generalization

Artifact : UmlBaseNcRelation

Operation create

Declaration :

- C++ : public: static UmlNcRelation * create(aRelationKind kind, UmlItem * start, UmlItem * end)
- Java : public static UmlNcRelation create(aRelationKind kind, UmlItem start, UmlItem end) throws RuntimeException

returns a new non class relation of the given 'kind' from 'start' to 'end'
In case it cannot be created ('parent' cannot contain it etc ...)
return 0 in C++ and produce a RuntimeException in Java

Operation kind

Declaration :

- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation relationKind

Declaration :

- C++ : public: aRelationKind relationKind()
- Java : public aRelationKind relationKind()

returns the kind of the relation : aGeneralisation or a Dependency, the other are not allowed
for the non class relations

Operation target

Declaration :

- C++ : public: UmlItem * target()
- Java : public UmlItem target()

returns the 'end' object (the 'start' object is the parent of the relation) no set !

Relation _rel_kind (<directional aggregation by value>)

Declaration :

- C++ : private: aRelationKind _rel_kind
- Java : private aRelationKind _rel_kind

Relation _target (<unidirectional association>)

Declaration :

- C++ : private: UmlItem * _target
- Java : private UmlItem _target

Operation read_uml_

Declaration :

- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

internal, do NOT use it

Operation UmlBaseNcRelation

Declaration :

- C++ : protected: UmlBaseNcRelation(void * id, const QCString & n)
- Java : protected UmlBaseNcRelation(long id, String n)

the constructor, do not call it yourself !!!!!!!!!!

All public operations : apply , children , childrenVisible , create , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , relationKind , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , target , unload